Koozali.org formerly Contribs.org

eGroupware upgrade to 1.4

Offline kevinb

  • *
  • 237
eGroupware upgrade to 1.4
« on: June 06, 2007, 07:48:08 AM »
Hello everyone,

I just upgraded from eGroupware 1.2 to 1.4. I did this by renaming the /opt/egroupware/html folder to ./html-old and extracting the 1.4 files into the ./html folder. I then copied over the old header.inc.php to the ./html folder. After changing the egw user permissons in mysql everything went fine.

I then copied over the .htaccess file from the old folder (there wasn't one in the new install ... I do not understand why). But now I get a "Access denied" error in the web browser when I try to go to the eGroupware login page. If I remove the .htaccess file all is fine.

Can anyone help me here. There are settings for max file size I would like to change from the default.

Thanks in advance


Kevin

Offline kevinb

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #1 on: June 06, 2007, 05:51:53 PM »
Nevermind ... this morning it works! Or maybe it was a blank line at the end or beginning of the .htaccess file that did it

hoopera

Also tried upgrade.
« Reply #2 on: June 08, 2007, 01:29:21 PM »
Hi

I followed what you did, I set the mysql permissions to ALL for the egroupware user and got a page full of table errors that didn't relate to access permissions. what rights did you assign to the egroupware mysql user?

Thanks
Andrew Hooper
http://www.freelance-ns.co.uk

Offline kevinb

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #3 on: June 08, 2007, 06:05:46 PM »
Here are my steps:

1.) Install EGW 1.2 from the contirb. Set it up and get it running (you may have to change permissions on /opt/egroupware/html/header.inc.php

2.)
Code: [Select]

mv /opt/egroupware/html/ /opt/egroupware/html_ver-1.2/
mkdir ./egw
cd ./egw

wget http://superb-west.dl.sourceforge.net/sourceforge/egroupware/eGroupWare-1.4.001.tar.gz
wget http://superb-west.dl.sourceforge.net/sourceforge/egroupware/eGroupWare-egw-pear-1.4.001.tar.gz
wget http://umn.dl.sourceforge.net/sourceforge/egroupware/eGroupWare-icalsrv-1.4.001.tar.gz

tar -zxvf eGroupWare-1.4.001.tar.gz
tar -zxvf eGroupWare-egw-pear-1.4.001.tar.gz
tar -zxvf eGroupWare-egw-pear-1.4.001.tar.gz
tar -zxvf eGroupWare-icalsrv-1.4.001.tar.gz

mv ./egroupware /opt/egroupware/html

cp /opt/egroupware/html_ver-1.2/header.inc.php /opt/egroupware/html/header.inc.php


3.) I used phpmyadmin to add the "Alter" right to the egwuser for the egroupware database.
4.) Open a browser and go to "https://<your server>/egroupware/setup"
5.) Login to the "Setup/Config" panel (the top panel)
6.) Go through each step there in order, paying attention to all the text. There will be small text notes telling you that you have to update this or do that, etc. At this point it should be all point and click.

Good luck

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #4 on: June 14, 2007, 11:13:44 PM »
For all people who want to use the new release 1.4 I have made a new rpm which is on it's way to the mirrors. You can download this rpm at
http://mirror.contribs.org/smeserver/contribs/dberteld/egroupware

Rgds.,
Dietmar

Offline lupo

eGroupware upgrade to 1.4
« Reply #5 on: June 15, 2007, 03:09:54 PM »
Quote from: "berdie"
For all people who want to use the new release 1.4 I have made a new rpm which is on it's way to the mirrors. You can download this rpm at
http://mirror.contribs.org/smeserver/contribs/dberteld/egroupware

Rgds.,
Dietmar


Hi Dietmar,

sorry for the stupid question:
I have a running eGroupware 1.2. So to perform an update just download the file and then yum localinstall?
Thanks!

Lupo

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #6 on: June 15, 2007, 03:15:15 PM »
No, that's not possible.
If you want to update your version, please use the standard process.

Rgds.,
Dietmar

egroupware 1.4 rpm
« Reply #7 on: June 16, 2007, 04:46:14 PM »
Hi,

I have installed egroupware RPM file via yum localinstall package_name.

While adding new admin account I got this error:

Database error: Invalid SQL: DELETE FROM egw_preferences WHERE 1=1
mysql Error: 1146 (Table 'egroupware.egw_preferences' doesn't exist)

File: /opt/egroupware/html/setup/admin_account.php
Line: 108
Function: egw_db::delete

Session halted.


please advise.

regards,
mike

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #8 on: June 17, 2007, 06:51:21 PM »

Offline FraunhoferIFF

  • *
  • 932
  • Widerstand ist Zwecklos !
    • http://www.magic-figo.de
eGroupware upgrade to 1.4
« Reply #9 on: June 18, 2007, 08:02:28 AM »
Hallo Dietmar , dein rpm funktioniert , jedoch hab ich einen kleinen Fehler drin,
alle 5 min kommt über den Cron die Meldung :

Code: [Select]
/usr/bin/php -qC /opt/egroupware/html/phpgwapi/cron/asyncservices.php meine.dyndns.org

wo kann ich ihm den die richtige Domäne sagen, der ausgesehene DB eintrag stimmt nicht :(

Danke schon mal

Marcel

Offline fpausp

  • *
  • 728
eGroupware upgrade to 1.4
« Reply #10 on: June 18, 2007, 01:34:36 PM »
Hi,

Got some errors on sme 7.1 without updates:


[root@server ~]# rpm -Uvh smeserver-egroupware-1.4-5.noarch.rpm
Preparing...                ########################################### [100%]
   1:smeserver-egroupware   ########################################### [100%]
Sending USR1 signal to mysqld [  OK  ]
Creating database 'egroupware' and user 'egwuser'
Migrating existing database domains
Migrating existing database backups
Migrating existing database yum_installed
Migrating existing database yum_updates
Migrating existing database yum_available
Migrating existing database accounts
Migrating existing database configuration
Migrating existing database mailpatterns
Migrating existing database hosts
Migrating existing database spamassassin
Migrating existing database networks
Migrating existing database yum_repositories
ERROR 1153 (08S01) at line 1160: Got a packet bigger than 'max_allowed_packet' bytes
Decompressing files...
Setting file access rules :
   - Changing owner recursivly...
   - Recursive CHMOD 550 on folders...
   - Recursive CHMOD 440 on files...
   - Customization of CHMOD for a few folders...
Sending USR1 signal to httpd-e-smith [  OK  ]
-------------------------------------------------------------------------------
eGroupware Installation completed, you must finish the installation of eGroupware website.
Please go to https://fpausp.local/egroupware/setup
-------------------------------------------------------------------------------

Reminder :
         - Website open globally
         - https mode enabled with automatic redirection
         - Header-Admin-Login = admin, pw = 'admin'
         - Config-Admin-Login = admin, pw = 'admin'

         Start https://fpausp.local/egroupware/setup
         Login with the Config-Admin (user=admin, pw=admin)
         ToDo's:
         Create Admin-User 'admin' with same password as SME admin
         SME users can login with identical user and password
-------------------------------------------------------------------------------




When i try to create the admin user:


Database error: Invalid SQL: SELECT * FROM egw_preferences WHERE preference_owner=-2 AND preference_app='common'
mysql Error: 1146 (Table 'egroupware.egw_preferences' doesn't exist)

File: /opt/egroupware/html/setup/admin_account.php
Line: 177
Function: egw_db::select / insert_default_prefs()

Session halted.




regards
fpausp
Viribus unitis

eGroupware upgrade to 1.4
« Reply #11 on: June 19, 2007, 07:58:32 AM »
Hi

Quote
ERROR 1153 (08S01) at line 1160: Got a packet bigger than 'max_allowed_packet' bytes
This error is due to a 30000 lines request when the database is imported... If you have this error, the database will stop importing and a lot of stuffs will be missing, so eGroupWare won't work.

I've send a mail to berdie to explain the problem. Wait for his new release :wink:

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #12 on: June 19, 2007, 02:57:51 PM »
A new version is on it's way to the mirrors. In a few hours it should be here available:  http://mirror.contribs.org/smeserver/contribs/dberteld/egroupware/smeserver-egroupware-1.4-6.noarch.rpm

Rgds.,
Dietmar

Offline fpausp

  • *
  • 728
eGroupware upgrade to 1.4
« Reply #13 on: June 20, 2007, 02:33:12 PM »
Hi,

Have it running on two boxes 7.1.3 and 7.2 and work´s great for me, thanks for your work !!!

regards
fpausp
Viribus unitis

Offline FraunhoferIFF

  • *
  • 932
  • Widerstand ist Zwecklos !
    • http://www.magic-figo.de
eGroupware upgrade to 1.4
« Reply #14 on: June 20, 2007, 10:33:23 PM »
How can i stop/corrected this Cron :


Code: [Select]
asyncservice.php: Domain 'vfbfigo.dyndns.org' is not configured or renamed, exiting !!!

my Domain is incorrect... How can i change this ?

Marcel

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #15 on: June 21, 2007, 11:47:05 PM »
Marcel,

this rpm installs no cron jobs by default.
So it should not be an issue of my rpm.
Additionally I have succesful tested to install asynchronous cron in the configuration mode of this webapp.
Please uninstall your rpm and give a fresh install a chance.

Rgds.
Dietmar

Offline kevinb

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #16 on: June 23, 2007, 10:06:35 PM »
Thanks berdie,

I have not tried your RPM but you may want to concider this modification to enable the aspell spell checker:

Code: [Select]

pico /opt/egroupware/html/phpgwapi/js/fckeditor/fckconfig.js
   # Find the FCKConfig.ToolbarSets["egw_simple"] section and add "SpellCheck"

   # e.g.
FCKConfig.ToolbarSets["egw_simple"] = [
['Cut','Copy','Paste','PasteText','PasteWord','Print'],
['Bold','Italic','Underline','StrikeThrough'],

['JustifyLeft','JustifyCenter','JustifyRight','JustifyFull'],

['UnorderedList','OrderedList','Outdent','Indent','Undo','Redo'],
['Link','Unlink','Anchor'],
'/',
['FontFormat','FontName','FontSize'],
['TextColor','BGColor'],
['Smiley',[b]'SpellCheck'[/b]],
['FitWindow']
] ;

pico /opt//egroupware/html/phpgwapi/js/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.php

// for a linux server:
$aspell_prog = 'aspell';

// for a windows sever:
// $aspell_prog = '"C:\Program Files\Aspell\bin\aspell.exe"';

// set this to the dictionary you wish to use with aspell
$lang = 'en_US';




On another note if you want Firefox in Windows to be able to spell check the email Body and the Subject line:

Code: [Select]

Start Firefox
Enter "about:config" in the address box
Enter "dom.event.contextmenu.enabled" in the filter box
Change the value to "False"
Enter " layout.spellcheckDefault " in the filter box
Change the value to "2"




Kevin

eGroupware upgrade to 1.4
« Reply #17 on: June 25, 2007, 02:13:35 AM »
kevinb;

I had egroupware v1.2 installed and running. I tried to follow your advice re downloading and installing v1.4

The code part was easy enough. When I went in to the database I could not find a "egwuser" to add the alter permission to. Any suggestions?

I could alway remove all egroupware and start over but I thought upgrading would be best.

Ian

Offline kevinb

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #18 on: June 25, 2007, 02:47:16 AM »
Sorry Ian, I can't help you there.

There must be a mysql user that EGW uses. Open the "/opt/egroupware/html/header.inc.php" and take a look. You could also look in "https://<server name>/egroupware/setup" configurations for it.

While you are in there you may want to do a "backup" of the database so if you have to do a fresh install you can restore it.

Kevin

eGroupware upgrade to 1.4
« Reply #19 on: June 26, 2007, 12:35:13 PM »
Kevin;

I was just playing around with egroupware v1.2 so I don't mind doing a fresh install. What I found out with v1.2 was that I could not address meeting requests to people who weren't registered on the system but were in the address book. I've heard the v1.4 remedies that. Long and short of it is that a fresh install is ok by me.

Berdie;
Am I misreading /miunderstanding your post. Is your post of June 19/07 for a clean install? If so the directions you give here are pretty short compared to the install how to for v1.2. Is there anything missing?

Thx in advance.

Ian

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #20 on: June 27, 2007, 08:55:26 AM »
Ian,

yes, you're right. This new rpm is for a clean install and it's using imap auth, which means that every SME user can login to eGW with his SME password. You should only create the admin user + password first. Go to http://servername/egroupware/setup and logon with the user 'admin' + password 'admin'. Then make your settings for header and config.

Rgds.,
Dietmar

eGroupware upgrade to 1.4
« Reply #21 on: June 27, 2007, 01:48:22 PM »
Berdie;

I am going to go back and delete the directories I created for V1.2 and use phpmyadmin to delete the database which should make for ok to clean install.

As I am relatively ignorant of these matters;
1) should I create a separate directory to load the rpm into before yum localinstall?
2) I noticed that there were 2 files to download for v1.2. Are those two files combined into this one?

Thx in advance

Ian

eGroupware upgrade to 1.4
« Reply #22 on: June 27, 2007, 02:41:53 PM »
Hi,

Quote
1) should I create a separate directory to load the rpm into before yum localinstall?
You can't do that, what ever you will do the rpm will go in /opt/egroupware. Just delete 1.2 install (templates+install folder+mysql user and database)

Quote
2) I noticed that there were 2 files to download for v1.2. Are those two files combined into this one?
No. The 2 files are the core and contribs. With v1.4 only core is available by now. Wait a little or test latest 1.2.107 rpm version


Hope it helped...
Sylvain

eGroupware upgrade to 1.4
« Reply #23 on: June 27, 2007, 08:06:12 PM »
Thx, I'll post here my success story  :lol:

eGroupware upgrade to 1.4
« Reply #24 on: June 29, 2007, 12:01:37 AM »
By the time I got started, I went to this site

Quote
Index of /pub/linux/distributions/smeserver/contribs/dberteld/egroupware


and noticed that there are two files
Quote
[   ] smeserver-egroupware-1.4-6.noarch.rpm                 20-Jun-2007 11:22   11M  
[   ] smeserver-egroupware-1.4-6.src.rpm                    20-Jun-2007 11:36   11M  


But above it says only one file, please clarify, do I need one or two files?

eGroupware upgrade to 1.4
« Reply #25 on: June 29, 2007, 12:24:39 AM »
Hi,

You don't need "smeserver-egroupware-1.4-6.src.rpm" : it is the source rpm !

The right one is always *.rpm NOT *.src.rpm for install purposes :wink:

eGroupware upgrade to 1.4
« Reply #26 on: June 29, 2007, 03:21:28 AM »
Well things are going swimmingly so far but I am stuck. I can't tell where to edit the following from the header.inc.php. Any help would be appreciated.

Quote
/**************************************************************************\
   * !!!!!!! EDIT THESE LINES !!!!!!!!                                        *
   * This setting allows you to easily move the include directory and the     *
   * base of the eGroupWare install. Simple edit the following 2 lines with   *
   * the absolute path to fit your site, and you should be up and running.    *
   \**************************************************************************/

   // allow to migrate from phpgw_info to egw_info
   if (isset($GLOBALS['egw_info']))
   {
      $GLOBALS['phpgw_info'] =& $GLOBALS['egw_info'];
   }
   else
   {
      $GLOBALS['egw_info'] =& $GLOBALS['phpgw_info'];
   }

   define('EGW_SERVER_ROOT','/opt/egroupware/html');
   define('EGW_INCLUDE_ROOT','/opt/egroupware/html');
   define('PHPGW_SERVER_ROOT','/opt/egroupware/html');
   define('PHPGW_INCLUDE_ROOT','/opt/egroupware/html');
   $GLOBALS['egw_info']['server']['header_admin_user'] = 'admin';
   $GLOBALS['egw_info']['server']['header_admin_password'] = 'blah_blah_blah';
   $GLOBALS['egw_info']['server']['setup_acl'] = '';

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #27 on: June 29, 2007, 03:35:31 PM »
Please don't edit this file directly. At the end of the installation process you will find the following reminder with todo's:
- Website open globally
- https mode enabled with automatic redirection
- Header-Admin-Login = admin, pw = 'admin'
- Config-Admin-Login = admin, pw = 'admin'

Start https://MY-SME-SERVER/egroupware/setup
Login with the Config-Admin (user=admin, pw=admin)
ToDo's:
Create Admin-User 'admin' with same password as SME admin
SME users can login with identical user and password


So please follow these instructions, go to https://MY-SME-SERVER/egroupware/setup and do the following:

- Login with the Config-Admin (user=admin, pw=admin)
- Create Admin-User 'admin' with same password as SME admin

After this, SME users can login to egroupware with identical user and password.

Hope this helps you to going on,
Dietmar

Moved from 1.2 thread
« Reply #28 on: June 29, 2007, 05:51:58 PM »
Quote
Just tried installing from the contib for the first time. I notice that if I go into 'Edit Configuration' in the config-admin it lists the hostname of the machine on which the installation is running as musterfirma.com This is also listed under mail domain. I've a feeling these shouldn't be there, but can someone confirm this for me?


I've copied this over from the 1.2 thread.

I'm running SME 7.1.3 and ran the installation for eGroupWare 1.4, downloaded using wget as per instructions (fresh installation). Ran yum localinstall, and all went smoothly. Logged on as the config user, and set an admin password. Everything OK.

I've installed eGroupWare on a number of distros, and so went to see what other things had been configured by the install. When logged in as config-admin, step 2, configuration, I noticed that the setting for 'hostname on which the server is running' has been set to musterfirma.com. Also, further down the page the setting for 'Mail domain (for virtual mail manager)' has also been set to musterfirma.com. I don't think these should be like this, but would like confirmation.

Many thanks, and apologies for not giving more details initially.
Jim

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #29 on: June 29, 2007, 08:44:43 PM »
I was to fast with copying the test database in the new rpm.
So I've fixed the naming with new version 1.4-7 in a few minutes after replicating to the mirrors. You can download it at:
http://mirror.contribs.org/smeserver/contribs/dberteld/egroupware/smeserver-egroupware-1.4-7.noarch.rpm

Rgds.,
Dietmar

eGroupware upgrade to 1.4
« Reply #30 on: June 30, 2007, 04:23:15 PM »
Quote
I was to fast with copying the test database in the new rpm.
So I've fixed the naming with new version 1.4-7


Many thanks. Glad to have been of some help.
Jim

eGroupware upgrade to 1.4
« Reply #31 on: July 01, 2007, 07:51:53 PM »
Berdie

I saw that you had made a 1.4.7 so I started over phpmyadmin deleted my database, removed the other evidence of 1.4.6

I wget'd 1.4.7 and yum localinstalled it. Some installing occurred. I signal event pust upgrade and reboot.

I was denied access to https/myserver/egroupware/setup. I went into phpmyadmin and there was no egroupware database. I putty's in as root and there was not directory under /opt for egroupware.

I tried removing it and it said there was nothing to do. I tried to download again and yum localinstall and it said it was already completed.

Something has gone off the rails. Any ideas or do you need anything more from me to help.

Thx for your help so far.
Ian

Offline timb

imcintyre observations confirmed - overcome, no admin access
« Reply #32 on: July 02, 2007, 07:28:56 AM »
Hi
I saw exactly the same thing as imcintyre. Including the remove and reinstall as described. However, I tried more than once and was successful.

I yum removed the package and then yum localinstalled again and everything worked as advertised

I then entered setup , creating an admin account using the server admin password as advised elsewhere.

After this my user could log straight into egroupware (the excitement levels peaked ) but the admin account would not let me in.

Went back to setup, created another admin account with a unique name (localadmin) and still could not login,

Therefore I cannot configure the applications that my user account sees - or anything much else


Good progress on this rpm though... well done so far :D

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #33 on: July 02, 2007, 01:16:13 PM »
I don't know the yum problems, but usually it should work to remove old rpms. Please don't give up, it goes!
It's time to clarify the admin users. There are 3 different admin users, and all have the name "admin":
- the SME Admin (standard)
- the setup/config admin for eGW
- the header admin for eGW
After installing the eGW rpm, you should run https://MYSERVER/egroupware/setup and login with the setup/config admin + password= "admin".
When logged in, please create the  NEW user "admin" (which is the SME Admin) and give this user the same password as SME admin. Click to "Back to user login" and start eGW with this new created user "admin". Now you should use eGW with the SME Admin user and should configure the eGW apps and view admin mails.

Rgds.
Dietmar

eGroupware upgrade to 1.4
« Reply #34 on: July 02, 2007, 03:05:08 PM »
Hi all,

Quote from: "berdie"
Now you should use eGW with the SME Admin user
In fact you can use any existing account of SME to be eGroupWare's admin when using IMAP...
Because of the special role (and rights) of the 'admin' account, I will suggest to use another account...

My 2 cents
Sylvain

eGroupware upgrade to 1.4
« Reply #35 on: July 03, 2007, 07:39:31 PM »
Perhaps I am doing something wrong but can't see the forest (forrest?)...

If someone can please help, I would appreciate it.

Quote
[root@server1 opt]# ls
dar2-mc  groupoffice  phpmyadmin  smeserver-egroupware-1.4-7.noarch.rpm
[root@server1 opt]# yum localinstall smeserver-egroupware-1.4-7.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Setting up Local Package Process
Examining smeserver-egroupware-1.4-7.noarch.rpm: smeserver-egroupware - 1.4-7.noarch
smeserver-egroupware-1.4-7.noarch.rpm: does not update installed package.
Nothing to do
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[root@server1 opt]# yum remove smeserver-egroupware-1.4-7.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "fastestmirror" plugin
Loading "smeserver" plugin
Setting up Remove Process
No Match for argument: smeserver-egroupware-1.4-7.noarch.rpm
No Packages marked for removal
================================================================
No new rpms were installed. No additional commands are required.
================================================================
[root@server1 opt]#

Offline timb

no admin login
« Reply #36 on: July 04, 2007, 08:03:55 AM »
Quote from: "berdie"
I don't know the yum problems, but usually it should work to remove old rpms. Please don't give up, it goes!
It's time to clarify the admin users. There are 3 different admin users, and all have the name "admin":
- the SME Admin (standard)
- the setup/config admin for eGW
- the header admin for eGW
After installing the eGW rpm, you should run https://MYSERVER/egroupware/setup and login with the setup/config admin + password= "admin".
When logged in, please create the  NEW user "admin" (which is the SME Admin) and give this user the same password as SME admin. Click to "Back to user login" and start eGW with this new created user "admin". Now you should use eGW with the SME Admin user and should configure the eGW apps and view admin mails.

Rgds.
Dietmar


Hi,
Yes I got it to go.

I have installed egroupware onto sme servers and others since egroupware 0.9? - I am familiar with the different logins for the config, header  and user.

What I am seeing here is that after creating the admin user and setting the admin password = to the sme server admin password - all sme users can access egroupware EXCEPT admin

From there I have attempted to create alternate admin accounts such as one called localadmin so that I may configure the preferences and applications for users. Sadly I cannot login as admin in the user login at all.

Perhaps I am the only one seeing this?

timb

eGroupware upgrade to 1.4
« Reply #37 on: July 04, 2007, 02:57:30 PM »
I have egroupware v1.4  installed on another server and it is working fine with just one install.

I have tried on my homeserver as per my previous post 5 times now so I don't think it is going to work. So somehow I have screwed up my home server egroupware with an improper uninstall or install.

Yum appears to think it has installed but it hasn't. Is there something I need to reset or change. This is not exactly what this post is about so I will make another.

Thx for your help.

Offline berdie

  • *
  • 237
eGroupware upgrade to 1.4
« Reply #38 on: July 04, 2007, 04:55:53 PM »
What about rpm-commands instead of yum?
You can uninstall an rpm with "rpm -e", which means in your case "rpm -e smeserver-egroupware".

Dietmar

eGroupware upgrade to 1.4
« Reply #39 on: July 04, 2007, 07:08:23 PM »
berdie

Thx, I will give it a try. Also to stop clogging this post with my bs, I opened up http://forums.contribs.org/index.php?topic=37663.0. I will let you know how I make out.

IMc

bpivk pointed out that I did not need the .rpm at the end of the yum remove.
I am suitably ~ :oops:

eGroupware upgrade to 1.4
« Reply #40 on: July 05, 2007, 04:19:46 AM »
Okay so I got v1.4 installed and working. Thanks for the rpm and the help troubleshooting.

A couple of questions
When I create the admin password, does this wipe out the admin/admin username/password or do I need to check the box that says "Delete all existing SQL accounts, groups, ACLs and preferences (normally not necessary)?"

I went into phpmyadmin and find the egwuser with usage permissions. Earlier in the post there was an instruction to add the alter permission to this user. I have zero expertise but I can figure out how to do it. What about the why to do it?

Thx in advance

francois.mdlh

eGroupware upgrade to 1.4
« Reply #41 on: July 11, 2007, 01:09:31 PM »
I had the same problem. I tried in Internet Explorer and it seems to have worked.

eGroupware upgrade to 1.4
« Reply #42 on: July 11, 2007, 07:13:38 PM »
Francois;

Sorry but "you had the same problem" not sure which problem you were referring and how IE solved it?

Ian

francois.mdlh

eGroupware upgrade to 1.4
« Reply #43 on: July 12, 2007, 08:52:04 AM »
i couldn't get the admin login to work in Firefox

Offline smiit

eGroupware upgrade to 1.4
« Reply #44 on: July 24, 2007, 04:52:14 PM »
Greetings:

Thanks to all here for the SME Egroupware 1.4 contrib work/help.  I am getting a couple of errors maybe you could help with:

After yum localinstall I get:

-snip-
Migrating existing database yum_repositories
ERROR 1054 (42S22) at line 11: Unknown column 'lock_tables_priv' in 'field list'
ERROR 1133 (42000) at line 1: Can't find any matching row in the user table
Decompressing files...
-snip-

Rest of installation looks clean - but after first login for config-admin, Step 1 - Simple Application Management and Step 2 - Configuration, they don't appear to be configured correctly.

The Wiki suggests these might be filled in by the rpm during installation - should I be able to just go right to Step 3 and create the Admin Account?

I can create the admin account with the matching SME admin/password but Egroupware doesn't appear to pull in the SME Users - only the Admin user exists and can log in - do I need to set the LDAP settings a particular way or, again, is this automated?

Thanks for any help you might be able to provide.

Cheers

Offline smiit

eGroupware upgrade to 1.4
« Reply #45 on: July 26, 2007, 09:22:09 PM »
Well, after a couple of failed installs I managed to solve things by uninstalling, manually deleting the MYSQL egwuser left behind via phpmyadmin (not sure if it's a bug in the install process or my server setup) then re-installing once more.

Everything went clean this time and I was able to follow the rest of the instructions and log in my SME users as noted.

Cheers!  :D

eGroupware upgrade to 1.4
« Reply #46 on: July 27, 2007, 07:05:10 AM »
Anybody had made work the sitemgr? on the default site?

I want to make it work but i made it work in a Iframe, but i want to make it on the main server.

Offline jester

  • *
  • 496
Re: eGroupware upgrade to 1.4
« Reply #47 on: October 11, 2007, 03:29:33 PM »
There is an update for eGroupware (1.4.002) with quite some security and bug fixes. Has anyone performed an successful update that could give some pointers?!


Thanx!

Re: eGroupware upgrade to 1.4
« Reply #48 on: October 18, 2007, 03:10:57 PM »
HI all, I have an update problem which may be a bug. I tried to put it in the bug tracker but egroupware is not listed as a contrib component so I am asking for help here.  An update from 1.4-8 to 1.4-9 blew away the /opt/egroupware folder totally. (Running SME7.2 with latest updates)
This is what I did:

I installed egroupware 1.4-8 per instructions in the How To without any trouble.  I configured it and was using it without trouble.  Then I saw that the rpm was updated to 1.4-9 in the How To without any mentioned caveats so I decided to upgrade. 

Update steps:
downloaded the smeserver-egroupware1.4-9.noarch.rpm
at a command line typed "yum localinstall smeserver-egroupware1.4-9.noarch.rpm"
Yum checked things out and notified that 1 update would be applied.
I answered yes and the update went through.
I went to https://"myserver.mydomain"/egroupware and got a Forbidden access page.
I checked /opt/egroupware for its existence and discovered the /opt directory was EMPTY.
I further checked to see if it was somewhere else after running an updatedb and found it nowhere on the server!

What did I do wrong?  Surely the simple yum upgrade shouldn't blow away the whole app.  How is one to upgrade an existing installation on a production server if this happens?  A bit risky don't you think?
...

Re: eGroupware upgrade to 1.4
« Reply #49 on: October 19, 2007, 01:17:49 PM »
The RPM install is not for update...

Re: eGroupware upgrade to 1.4
« Reply #50 on: October 19, 2007, 03:21:17 PM »
I changed back to 1.4.001 because 1.4.002 has problems (duplicate entries) with syncml.


Offline jester

  • *
  • 496
Re: eGroupware upgrade to 1.4
« Reply #51 on: October 19, 2007, 04:13:45 PM »
Hmmm.... duplicates should be fixed according to the changelog. I can't seem to access the global categories in the admin panel though.

Re: eGroupware upgrade to 1.4
« Reply #52 on: October 19, 2007, 04:18:16 PM »
http://www.nabble.com/SyncML-Duplicates-on-Phone-tf4471288s3741.html

Seems to be fixed in trunk though. But I want to stay on stable, so I downgraded.
« Last Edit: October 19, 2007, 04:19:50 PM by kb-ohnemus »

Re: eGroupware upgrade to 1.4
« Reply #53 on: October 19, 2007, 05:11:39 PM »
The RPM install is not for update...

OK  :P  But shouldn't that be explained in the HOW TO?  Also, How does one update an existing install then? I am clueless.

Blowing away your current install is fairly serious and people should be warned/notified how to update.
...

Re: eGroupware upgrade to 1.4
« Reply #54 on: October 19, 2007, 05:22:11 PM »
OK  :P  But shouldn't that be explained in the HOW TO?  Also, How does one update an existing install then? I am clueless.

Blowing away your current install is fairly serious and people should be warned/notified how to update.
I agree 100%!!! It must be documented. So please report your succes howto here and once it's tested by others, update the Wiki :wink:
With this work/help, we can also improve the RPM... So help us to help you!

Offline raem

  • *
  • 3,972
Re: eGroupware upgrade to 1.4
« Reply #55 on: October 19, 2007, 06:39:57 PM »
uniqsys

Quote
But shouldn't that be explained in the HOW TO?  Also, How does one update an existing install then? I am clueless.

Go to the egroupware website and read their upgrade instructions.
http://www.egroupware.org/index.php?page_name=wiki&wikipage=ManualSetupUpdate

Please summarise them based on your experience upgrading (as applicable to sme server), then add them to the Wiki Contrib
http://wiki.contribs.org/Egroupware

« Last Edit: October 19, 2007, 06:43:50 PM by RayMitchell »
...

Offline raem

  • *
  • 3,972
Re: eGroupware upgrade to 1.4
« Reply #56 on: October 19, 2007, 06:47:23 PM »
uniqsys

Quote
An update from 1.4-8 to 1.4-9 blew away the /opt/egroupware folder totally.

By the way, you should ALWAYS do a backup before doing any upgrades. You can do a limited backup by copying the install folder and dumping or copying the associated mysql database.
...

Re: eGroupware upgrade to 1.4
« Reply #57 on: October 20, 2007, 03:28:29 PM »
Hi,


I'm working on a new RPM which will allow to update an old installation. I already found and corrected a few bugs.
If you have any suggestions before I build the final RPM, this is the right time to ask some new features!

A beta RPM is available here: http://mirror.contribs.org/smeserver/contribs/sgomez/contribs/egroupware/smeserver-egroupware-1.4.002-1.noarch.rpm
Because of a bug in the old RPM, YOU MUST UNINSTALL IT BEFORE WITH THE FOLLOWING COMMAND:
Code: [Select]
# rpm -e smeserver-egroupware --noscriptsThis will prevent the old RPM from deleting eGW installation files, MySQL DataBase and DB entries! 8-)
Then install with:
Code: [Select]
# rpm -Uvh smeserver-egroupware-1.4.002-1.noarch.rpm
Please make a backup before trying.
A backup will also be done at the install stage if the folder /opt/egroupware can be found. It will backup Files+MySQL DB in /opt/eGW_RPM_BACKUP
With this new version, the uninstall stage will not drop files and MySQL DataBase anymore. A script is provided to completely remove eGW.
Please remind this version CANNOT update eGW v1.2.x instalaltions. This is for v1.4.x only!



Please reports if it works/doesn't work!
Thanks
Sylvain

Re: eGroupware upgrade to 1.4
« Reply #58 on: October 21, 2007, 03:14:00 PM »
Hi again!

New RPM available, please read http://wiki.contribs.org/Egroupware to know how to update/upgrade from previous RPM version.
A few more bugs were fixed, update and upgrade are tested from different old RPM version. All should be OK.

Regards,
Sylvain

Re: eGroupware upgrade to 1.4
« Reply #59 on: October 22, 2007, 03:37:35 PM »
Hi again!

New RPM available, please read http://wiki.contribs.org/Egroupware to know how to update/upgrade from previous RPM version.
A few more bugs were fixed, update and upgrade are tested from different old RPM version. All should be OK.

Regards,
Sylvain

Thanks.  You are so quick I didn't get a chance to follow Ray Mitchell's test strategy.  I am glad this is improved.  Since I have 1.4-9 installed now, I will try your instructions and upgrade to 1.4.002.  I read them and am a little confused about your statement
Quote
If you were upgrading eGroupWare version (i.e.1.4.001 to 1.4.002) you must finish the upgrade at the Config-Admin Setup with your existing creditentials. Then click on upgrade..
but when I figure it out I will attempt to clarify the wiki.  Thanks for all your great work.

PS  If I have to, I will roll back to 1.4-8 to test this.  Thanks again.
...

Re: eGroupware upgrade to 1.4
« Reply #60 on: October 22, 2007, 04:51:01 PM »
Hi,


You can find your existing version of eGW by launching the application... You will know if it's 1.4.001 or 1.4.002 in the homepage
Quote
Powered by eGroupWare Version 1.4.002


Else you can check your installed version with this command:
Code: [Select]
# rpm -qa | grep egroupwareAnd use this quick guide:
=> Followings RPMs uses eGW v1.4.002 and are directly updatable:
  • smeserver-egroupware-1.4.002-2
  • smeserver-egroupware-1.4.002-1

=> Followings RPMs uses eGW v1.4.002 and need a fix (uninstall with rpm -e --noscripts before updating)
  • smeserver-egroupware-1.4-10
  • smeserver-egroupware-1.4-9

=> Followings RPMs uses eGW v1.4.001 or v1.4 and need a fix (uninstall with rpm -e --noscripts)
=> As these RPMs use an older version of eGW, you have an extra step which is to upgrade your existing install in Setup/Admin Config (as described in the wiki)
  • smeserver-egroupware-1.4-8
  • smeserver-egroupware-1.4-7
  • smeserver-egroupware-1.4-6
  • smeserver-egroupware-1.4-5
  • smeserver-egroupware-1.4-4


I've tested successfully updates from:
  • v1.4.002-1
  • v1.4-10
  • v1.4-9
  • v1.4-8
  • v1.4-6
I didn't test from other versions, the update process should work the same.


Regards,
Sylvain
« Last Edit: October 22, 2007, 04:53:39 PM by cool34000 »

Re: eGroupware upgrade to 1.4
« Reply #61 on: October 23, 2007, 03:36:02 AM »
Sylvain,

I followed your Wiki instructions except I changed the
Code: [Select]
rpm -Uvh smeserver-egroupware-1.4.002-2.noarch.rpm
to
Code: [Select]
yum localinstall smeserver-egroupware-1.4.002-2.noarch.rpm.  The upgrade from 1.4.002-1 went OK to 1.4.002-2 with no loss of data and the instructions in 'Simple Application Management' were never asked or performed even upon logging in and looking for the Update button.  Everything seems OK.  Is this OK to do?  The prevailing advice  is to use yum localinstall whenever you can so updates can be tracked.  Do you think this is a good idea to do in this case?  I was just testing it as you had tested the direct route.  I might try it both ways to see what happens, but it appears to be OK for now.

Thanks,
Uniqsys
...

Re: eGroupware upgrade to 1.4
« Reply #62 on: October 23, 2007, 11:26:48 AM »
Hi,


You can use RPM or YUM to install eGW... It will do exactly the same things!
If there was no upgrade needed, then you were already in 1.4.002 version!!!

Re: eGroupware upgrade to 1.4
« Reply #63 on: October 27, 2007, 03:00:48 AM »
Hi,

I've made a new RPM with some improvements and minor bug fixes...
Gallery2 has been added (but you need to finish the install if you want to use it)
SME integration has been improved.

As usual, more informations on the Wiki:
http://wiki.contribs.org/Egroupware
http://wiki.contribs.org/Egroupware#Gallery2_addon

Re: eGroupware upgrade to 1.4
« Reply #64 on: November 18, 2007, 01:29:13 AM »
I just tried to install the RPM on my fully-updated 7.2 test box. I had previously installed 1.2.x there, installed from tarball prior to an RPM being available. I mv'd the /opt/egroupware directory to /opt/egroupware.old prior to beginning; I've subsequently renamed the MySQL database, too.

However, I am getting an error in the RPM:

error: %pre(smeserver-egroupware-1.4.002-3.noarch) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping smeserver-egroupware-1.4.002-3

This is whether I run rpm -Uvh or rpm -ivh, whether the original directory is there or not, so it looks like the smeserver-egroupware-1.4.002-3.noarch.rpm has an issue.

Is anyone else seeing this?

Des
Des Dougan

Re: eGroupware upgrade to 1.4
« Reply #65 on: November 18, 2007, 10:12:05 AM »
Hi,

As told in the wiki, this RPM can't update v1.2.x
http://wiki.contribs.org/Egroupware#Update.2FUpgrade

Re: eGroupware upgrade to 1.4
« Reply #66 on: November 18, 2007, 06:39:20 PM »
Yes, I read that - hence renaming the original installation directory and then the MySQL database. As I noted, I get the error even when using rpm -i.


Des
Des Dougan

Re: eGroupware upgrade to 1.4
« Reply #67 on: November 20, 2007, 01:37:54 PM »
Hi,

Don't use rpm -i! -i is used for kernel install if I remember well...
Use rpm -U or better: yum localinstall

[Edit]
PS: If you want a new install of eGroupWare, just ensure that:
1) /opt/egroupware/ DOES'NT EXIST
2) MySQL database egroupware DOES'NT EXIST
3) MySQL user egwuser DOES'NT EXIST
« Last Edit: November 20, 2007, 01:45:00 PM by cool34000 »

Re: eGroupware upgrade to 1.4
« Reply #68 on: November 27, 2007, 07:55:36 AM »
"rpm -i" just means "install" - "rpm -U" means "update".

So, on my test box I have:

1. Renamed the old egroupware MySQL database
2. Deleted the MySQL user
3. Renamed the egroupware directory in /opt

When I run yum localinstall, I see this:

# yum localinstall smeserver-egroupware-1.4.002-3.noarch.rpm
==============================================================
WARNING: Additional commands may be required after running yum
==============================================================
Loading "smeserver" plugin
Loading "fastestmirror" plugin
Setting up Local Package Process
Examining smeserver-egroupware-1.4.002-3.noarch.rpm: smeserver-egroupware - 1.4.002-3.noarch
Marking smeserver-egroupware-1.4.002-3.noarch.rpm to be installed
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package smeserver-egroupware.noarch 0:1.4.002-3 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 smeserver-egroupware    noarch     1.4.002-3        smeserver-egroupware-1.4.002-3.noarch.rpm   27 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 27 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
smeserver trap pre-install: smeserver-egroupware
Updating eGroupware... Please wait!
Backup folder: /opt/eGW_RPM_BACKUP
Backing up installation files...
tar: egroupware: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
Backing up MySQL database...
mysqldump: Got error: 1049: Unknown database 'egroupware' when selecting the database
error: %pre(smeserver-egroupware-1.4.002-3.noarch) scriptlet failed, exit status 1
error:   install: %pre scriptlet failed (2), skipping smeserver-egroupware-1.4.002-3
Migrating existing database accounts
Migrating existing database networks
Migrating existing database mailpatterns
Migrating existing database domains
Migrating existing database hosts
Migrating existing database yum_installed
Migrating existing database backups
Migrating existing database configuration
Migrating existing database yum_updates
Migrating existing database spamassassin
Migrating existing database yum_available
Migrating existing database yum_repositories
smeserver trap post-install: smeserver-egroupware

Installed: smeserver-egroupware.noarch 0:1.4.002-3
Complete!
================================================================
No new rpms were installed. No additional commands are required.
================================================================

I re-downloaded the RPM to ensure it wasn't a bad download - the above is what transpired. It really looks as if this RPM is expecting a version to be installed already, and is failing when it can't find an existing database. Has anyone managed to install this version of the RPM on a system with no previous version?

Des
Des Dougan

Re: eGroupware upgrade to 1.4
« Reply #69 on: November 27, 2007, 08:32:38 AM »
Hi,

The RPM only backup when the folder /opt/egroupware can be found.
Please remove old install first (templates+files+DB)

Re: eGroupware upgrade to 1.4
« Reply #70 on: November 27, 2007, 07:15:37 PM »
As you can see from the directory lists below, I have cleaned out the previous non-RPM version of eGroupWare. I still get the same failure when I run yum localinstall.

[root@blackadder opt]# l
total 25160
drwxr-xr-x   7 root root       4096 Nov 27 10:08 .
drwxr-xr-x  25 root root       4096 Nov 17 13:15 ..
drwxr-xr-x   3 root root       4096 May 21  2007 administration
drwxr-xr-x   4 root root       4096 Oct 18 15:55 ejabberd
drwxr-x---  10 jive jive       4096 Sep 20 16:15 openfire
drwxr-xr-x   4 zope shared     4096 Aug 13  2006 plone2
-rw-r--r--   1 root root   25701907 Oct 26 13:47 smeserver-egroupware-1.4.002-3.noarch.rpm
[root@blackadder opt]# l /var/lib/mysql/
total 20544
drwxr-xr-x   6 mysql mysql     4096 Nov 27 10:03 .
drwxr-xr-x  24 root  root      4096 Oct 15 09:50 ..
drwx------   2 mysql mysql     4096 Nov 17 13:16 horde
-rw-rw----   1 mysql mysql  5242880 Nov 17 15:59 ib_logfile0
-rw-rw----   1 mysql mysql  5242880 Jun  6 23:39 ib_logfile1
-rw-rw----   1 mysql mysql 10485760 Nov 17 15:59 ibdata1
drwx------   2 mysql mysql     4096 Nov 17 13:16 mysql
srwxrwxrwx   1 mysql mysql        0 Nov 17 13:16 mysql.sock
drwx------   2 mysql mysql     4096 Oct 18 16:59 openfiredb
drwx------   2 mysql mysql     4096 Jul 29  2006 test
[root@blackadder opt]# l /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/
total 20
drwxr-xr-x  3 root root 4096 Nov 27 09:57 .
drwxr-xr-x  3 root root 4096 Jul  1  2006 ..
-rw-r--r--  1 root root  874 Jul  1  2006 86PhpmyadminmultiAlias
-rw-r--r--  1 root root  299 Oct 18 16:46 99openfire
drwxr-xr-x  2 root root 4096 Nov 27 10:04 VirtualHosts
[root@blackadder opt]# l /etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/VirtualHosts/
total 8
drwxr-xr-x  2 root root 4096 Nov 27 10:04 .
drwxr-xr-x  3 root root 4096 Nov 27 09:57 ..
Des Dougan

Re: eGroupware upgrade to 1.4
« Reply #71 on: November 27, 2007, 11:54:28 PM »
..... Has anyone managed to install this version of the RPM on a system with no previous version?

Des

Hi Des,

Yes, I have with success.  I started with a test box with AFFA running on it otherwise an out-of-the-box installation.  Sorry I can't help more.
...

Re: eGroupware upgrade to 1.4
« Reply #72 on: November 28, 2007, 03:58:23 AM »
As you can see from the directory lists below, I have cleaned out the previous non-RPM version of eGroupWare. I still get the same failure when I run yum localinstall.

[cut]

maybe you have to delete db keys from previous invalid install

Quote
config show egroupware

Quote
config delete egroupware


Re: eGroupware upgrade to 1.4
« Reply #73 on: November 28, 2007, 04:05:52 AM »
Thanks for your suggestion; however, there aren't any keys set:

[root@blackadder RPMS]# config show egroupware
[root@blackadder RPMS]#                                 



Des
Des Dougan

Offline Bud

  • *
  • 487
Re: eGroupware upgrade to 1.4
« Reply #74 on: November 30, 2007, 06:24:02 AM »
When I go to " https://mysmebox/egroupware " and try to Login I notice on the top of the Login Box: " Your session could not be verified. "

I have crated a admin User Account but as soon as I want to try to Login it says: " Blocked, too many attempts "

Please Help  :-(

Offline raem

  • *
  • 3,972
Re: eGroupware upgrade to 1.4
« Reply #75 on: November 30, 2007, 11:46:17 AM »
ddougan

Quote
/etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/
/etc/e-smith/templates-custom/etc/httpd/conf/httpd.conf/VirtualHosts/

Check
/etc/e-smith/templates/etc/httpd/conf/httpd.conf/....
as rpms should install fragments into the templates tree rather than the templates-custom tree
...

Re: eGroupware upgrade to 1.4
« Reply #76 on: November 30, 2007, 09:03:56 PM »
Thanks, Ray; however, my installation was from tarball, prior to there being an SME Server RPM. Something is causing the new 1.4 RPM to bork, but as far as I can see I have removed all references to the tarball version. I will double check the templates tree, but it's likely I will rebuild the box (it's my test system) to ensure it installs on a clean box. That still gives me the issue of getting the new version on to my production system...

Des
Des Dougan

Re: eGroupware upgrade to 1.4
« Reply #77 on: December 01, 2007, 03:31:58 PM »
When I go to " https://mysmebox/egroupware " and try to Login I notice on the top of the Login Box: " Your session could not be verified. "

I have crated a admin User Account but as soon as I want to try to Login it says: " Blocked, too many attempts "

Please Help  :-(
Could be a cookie problem... Once you have been kicked by egroupware, you can't reconnect until you wait 30 minutes.
Delete your Internet browser cache&cookies, wait 30 minutes and please try again.

Offline Bud

  • *
  • 487
Re: eGroupware upgrade to 1.4
« Reply #78 on: December 03, 2007, 06:07:07 PM »
Thanks cool34000 that's what the Problem was but Now I have a New one  :?

I have Created an "admin" account and with the admin account I created an account for myself with admin status. All works fine however when I create any other Users (Using the Admin account) they cannot login to the System. Does the user account have to be an existing SME User Account for any user that I need to have access to egroupware or can I just create any new eGroupware User account (without that user having an SME Server Account)

I have tried both ways but the New Users cannot login to egroupware except "admin and myself"

Any help greatly appreciated

Re: eGroupware upgrade to 1.4
« Reply #79 on: December 03, 2007, 06:28:10 PM »
Yes, the default RPM install uses IMAP to authenticate users, so only default SME account can login.
This info is in the wiki ;)

You can change this default behaviour in the setup.

Offline soprom

  • *
  • 589
    • www.logiciel-libre.org
Re: eGroupware upgrade to 1.4
« Reply #80 on: December 04, 2007, 03:08:28 PM »
It is possible to create accounts in EGW matching users on different server/domain.
Usually, accounts will match SME.users but not necessarily.
In cases where one EGW.account is not an SME.user, configuration is more complicated and done in user's preferences. It's a lot of clicking but it works.
Sophie from Montréal

Offline bloodshoteye

  • ****
  • 232
  • Grateful thanks to SME devs
Re: eGroupware upgrade to 1.4
« Reply #81 on: December 26, 2007, 05:34:25 PM »
Greetings,

On a sme 7.2 with smeserver-egroupware-1.4.002-3 installed in /opt/egroupware I can create a website with egroupware's sitemgr easily.
However, the public URL is too cumbersome for my client: http://my.domain.tld/egroupware/sitemgr-site/

I'm battling for the last 2 days to have egroupware's sitemgr generate a site so that http://my.domain.tld will display the main website for public viewing.
Has anyone tried this, and if so would you please share your steps to achieving this?

Thanks a lot,
SME Server is a fantastic product - thank you!

Re: eGroupware upgrade to 1.4
« Reply #82 on: December 26, 2007, 07:28:34 PM »
Hi,

The following method assumes that you don't have any website in Primary ibay (which is the default website when you type http://yourdomain.com)

1st of all, delete default website:
Code: [Select]
rm -f /home/e-smith/files/ibays/Primary/html/index.htmThen create the file index.php in /home/e-smith/files/ibays/Primary/html/ and paste the following in it:
Code: [Select]
<?php
header
('Location: http://yourdomain.com/egroupware/sitemgr-site/');
?>
This will redirect http://yourdomain.com/ to http://yourdomain.com/egroupware/sitemgr-site 8-)

« Last Edit: December 26, 2007, 07:30:33 PM by cool34000 »

Offline bloodshoteye

  • ****
  • 232
  • Grateful thanks to SME devs
Re: eGroupware upgrade to 1.4
« Reply #83 on: December 26, 2007, 07:45:52 PM »
cool34000, your advice:
Quote
1st of all, delete default website
Then create the file index.php in /home/e-smith/files/ibays/Primary/html/ and paste the following in it:
Quote
<?php
header('Location: http://yourdomain.com/egroupware/sitemgr-site/');
?>
has made my day - thanks very much   :-D
« Last Edit: December 26, 2007, 11:06:09 PM by ardugh »
SME Server is a fantastic product - thank you!

Offline bloodshoteye

  • ****
  • 232
  • Grateful thanks to SME devs
Re: eGroupware upgrade to 1.4
« Reply #84 on: December 26, 2007, 08:57:36 PM »
cool34000,
I have another small question:

The site requires an image directory, and  according to site setup:
Quote
Image directory relative to document root (use / !), example: /images
No matter what I try, this result is constant:
Quote
Directory does not exist, is not readable by the webserver or is not relative to the document root!

I wonder if you also experienced this? (or maybe someone else?)

Thanks for your time,
SME Server is a fantastic product - thank you!

Re: eGroupware upgrade to 1.4
« Reply #85 on: December 05, 2008, 04:20:26 PM »
Thanks for your suggestion; however, there aren't any keys set:

[root@blackadder RPMS]# config show egroupware
[root@blackadder RPMS]#                                 



Des


Hi,
I've had the same issue ... and I finally found why.
Make sure that your downloaded rpm file is NOT in /opt when running yum localinstall smeserver-egroupwarexxx ... otherwise, the backup script will run and installation fail.
I did move the rpm file to /root/ prior installation and it worked.
Regards